<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Complaint extends Model
{
    protected $fillable = [
        'user_id',
        'complaint_title',
        'complaint_description',
        'complaint_status'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);   
    }
}
