@extends('admin.layouts.app')
@section('content')



<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">

        <div class="row">
            <div class="col-12 col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">

                        <form action="{{ route('return.policy.update',1) }}"  method="post" class="forms-sample"  enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-12 col-md-7">
                                    <h4 class="card-title">Return Banner Section</h4>
                                    <div class="slider1">
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Return Banner Title</label>
                                            <input type="text" name="banner_title" value="{{ isset($returnPage) ? $returnPage->banner_title : '' }}" class="form-control" id="exampleInputUsername1"
                                                placeholder="">
                                        </div>
                                        <div class="form-group">
                                            <label>Return Banner Image</label>
                                            <div class="row align-items-center newscence1">
                                                <div class="col-12 col-lg-12">
                                                    <div class="text-start">
                                                        <img src="{{ URL::asset('assets/admin/uploads/return/policy/page/'.$returnPage->banner_image) }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-12 newscence2">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="img"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" name="img" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-12 col-md-7">
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Return Policy</label>
                                            <textarea id="summernote" name="content">{!! isset($returnPage) ? $returnPage->content : '' !!}</textarea>
                                        </div>
                                    </div>
                                </div>
                                
                                <div class="col-12 col-md-7">
                                    <button type="submit" class="btn w-100 btn-primary mt-3">Update All</button>
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>

@endsection