@extends('admin.layouts.app')
@section('content')

<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">

        <div class="row">
            <div class="col-12 col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('admin.updateSize',$size->id) }}" class="forms-sample" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <h4 class="card-title">Edit Size</h4>
                                    <div class="slider1">
                                        <div class="row">
                                            
                                            <div class="col-12 col-lg-12">
                                                <div class="form-group">
                                                    <label for="exampleInputUsername1">Size Name</label>
                                                    <input type="text" name="name" placeholder="e.g; small, medium, large" value="{{ $size->name }}" class="form-control" id="exampleInputUsername1" 
                                                        placeholder="">
                                                </div>
                                                @if($errors->has('name'))
                                                    <div class="error">{{ $errors->first('name') }}</div>
                                                @endif
                                            </div>
                                            
                                            <div class="col-12 col-lg-12">
                                                <div class="form-group">
                                                    <label for="exampleInputUsername1">Size (in inches)</label>
                                                    <input type="text" name="value" class="form-control" value="{{ $size->value }}" id="exampleInputUsername1">
                                                </div>
                                                @if($errors->has('value'))
                                                    <div class="error">{{ $errors->first('value') }}</div>
                                                @endif
                                            </div>
                                            
                                        </div>
                                            
                                        </div>
                                    </div>
                                </div>


                            </div>

                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <button type="submit" class="btn w-100 btn-primary mt-3">update</button>
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>

        
    </div>

@endsection