<!-- resources/views/emails/invoice.blade.php -->
<!DOCTYPE html>
<html>
<body>
    <h2>Invoice #<?php echo e($invoice->invoice_number); ?></h2>
    <p>Dear <?php echo e($user->name); ?>,</p>
    
    <div class="invoice-details">
        <p><strong>Invoice Date:</strong> <?php echo e($invoice->invoice_date); ?></p>
        <p><strong>Due Date:</strong> <?php echo e($invoice->due_date); ?></p>
        <p><strong>Amount:</strong> $<?php echo e(number_format($invoice->amount, 2)); ?></p>
        <p><strong>Tax Amount:</strong> $<?php echo e(number_format($invoice->tax_amount, 2)); ?></p>
        <p><strong>Total Amount:</strong> $<?php echo e(number_format($invoice->total_amount, 2)); ?></p>
    </div>

    <div class="payment-button" style="margin-top: 20px;">
        <a href="<?php echo e(url('invoice/'. $invoice->id. '/'. $invoice->payment_token)); ?>" 
           style="background-color: #0070ba; color: white; padding: 10px 20px; text-decoration: none; border-radius: 5px;">
            View and Pay Invoice
        </a>
    </div>

    <p>Thank you for your business!</p>
</body>
</html><?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/emails/invoice.blade.php ENDPATH**/ ?>