

<?php $__env->startSection('content'); ?>

<style>
    .innerPages {
        background-image: url(" <?php echo e(URL::asset('assets/admin/uploads/privacy/policy/page/')); ?> ");
        background-position: 100% 100%;
    }
    /* /// pri // */
    .pro-bg h3,
    .pro-bg h5 {
        margin-top: 60px;
    }
    
    h4 {
        color: #000;
        font-size: 23px;
        font-weight: 700;
        font-family: 'Poppins', sans-serif !important;
    }
    
    p {
        font-size: 16px;
        color: #000;
        margin-top: 10px;
        font-family: 'Poppins', sans-serif !important;
        line-height: 29px;
    
    }
    
    li {
        color: #000 !important;
    }
    
    section.tr {
        margin-top: 35px;
        margin-bottom: 70px;
    }
    
    a {
        text-decoration: none;
    }
    
    .ull {
        list-style: disc;
        padding-left: 17px;
        margin-top: 15px;
    }
    
    .a {
        color: #0d6efd !important;
    }
    .sec-invoice .invoice-brand img {
        width: 25%;
        margin-top: 25px;
    }
    .invoice-brand.text-center {
    width: 20%;
    margin: auto;
    background: linear-gradient(45deg, black, transparent);
    border-radius: 10px;
}
.invoice-brand.text-center img {
    width: 80%;
    text-align: center;
}

.nk-notes.ff-italic.fs-12px.text-soft {
    text-align: center;
    margin-top: 40px;
}
    </style>
    
<div class="main-panel">
    <div class="content-wrapper">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="invoice">
                            <div class="invoice-wrap">
                                <div class="invoice-brand text-center">
                                    <img src="<?php echo e(asset('build/assets/admin/images/logo.png')); ?>" alt="">
                                </div>
                                <div class="invoice-head">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="invoice-contact">
                                                <span class="overline-title">Invoice To</span>
                                                <div class="invoice-contact-info">
                                                    <h4 class="title"><?php echo e($invoice->contract->user->name); ?></h4>
                                                    <ul class="list-plain">
                                                        <li>Email: <span><?php echo e($invoice->contract->user->email); ?></span>
                                                        </li>
                                                        <li>Phone: <span><?php echo e($invoice->contract->user->phone); ?></span>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        <div class="col-md-6 ">
                                            <div class="invoice-desc" style="float:inline-end">
                                                <h3 class="title">Invoice</h3>
                                                <ul class="list-plain">
                                                    <li class="invoice-id"><span>Invoice
                                                            ID</span>:<span><?php echo e($invoice->invoice_number); ?></span></li>
                                                    <li class="invoice-date"><span>Date</span>:<span id="utcTime" data-time="<?php echo e($invoice->invoice_date); ?>"><?php echo e(\Carbon\Carbon::parse($invoice->invoice_date)->diffForHumans()); ?></span>
                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                        
                                    </div>
                                    
                                </div>
                                <div class="invoice-bills">
                                    <div class="table-responsive">
                                        <table class="table table-striped">
                                            <thead>
                                                <tr>
                                                    <th scope="col">S.No</th>
                                                    <th scope="col"></th>
                                                    <th scope="col">car</th>
                                                    <th scope="col">model</th>
                                                    <th scope="col">Price Per Day</th>
                                                    <th scope="col">Status</th>
                                                    <th scope="col">Due Date</th>
                                                    
                                                    <th scope="col">total amount</th>
                                                </tr>
                                            </thead>
                    
                                            <tbody>
                                                 
                                                <tr data-id="<?php echo e($invoice->id); ?>">
                                                    <td><?php echo e($invoice->id); ?></td>
                                                    <th scope="row"><img class="img-fluid" src="<?php echo e(asset('build/assets/admin/images/logo.png')); ?>" style="height: 55px; width: 75px; object-fit: cover;" alt=""></th>
                                                    
                                                    <td>car</td>
                                                    <td>model</td>
                                                    <td>$ <?php echo e($invoice->contract->daily_rate); ?></td>
                                                    <td>
                                                        <?php if($invoice->status === 'paid'): ?>
                                                        <span class="badge badge-success">
                                                            <?php echo e(ucfirst($invoice->status)); ?>

                                                        </span>
                                                        <?php elseif($invoice->status === 'unpaid'): ?>
                                                        <span class="badge badge-warning">
                                                            <?php echo e(ucfirst($invoice->status)); ?>

                                                        </span>
                                                        <?php else: ?>
                                                        <span class="badge badge-danger">
                                                            <?php echo e(ucfirst($invoice->status)); ?>

                                                        </span>
                                                        <?php endif; ?>
                                                    </td>
                                                    <td><?php echo e($invoice->due_date); ?></td>
                                                    <td>$ <?php echo e($invoice->amount); ?></td>
                                                    
                                                </tr>
                                                
                                            </tbody>
                                        </table>
                                        
                                        <div class="nk-notes ff-italic fs-12px text-soft"> Invoice was
                                            created on a
                                            computer and is valid without the signature and seal. </div>
                                            
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    
    
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            var utcTimeElement = document.getElementById('utcTime');
            var utcTime = utcTimeElement.getAttribute('data-time');
            var localTime = new Date(utcTime).toLocaleString();  // Converts to local browser time
            
            utcTimeElement.textContent = localTime;  // Update the text content with local time
        });
    </script>
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/admin/invoices/show.blade.php ENDPATH**/ ?>