

<?php $__env->startSection('content'); ?>

<div class="container">
    <h5>All Invoices</h5>
    <div class="table-responsive">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Invoice Number</th>
                    <th>Amount</th>
                    <th>Due Date</th>
                    <th>Status</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $invoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $invoice): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($invoice->invoice_number); ?></td>
                        <td>$<?php echo e(number_format($invoice->amount, 2)); ?></td>
                        <td><?php echo e(Carbon\Carbon::parse($invoice->due_date)->format('M d, Y')); ?></td>
                        <td>
                            <?php if($invoice->status === 'paid'): ?>
                            <span class="badge bg-success">
                                <?php echo e(ucfirst($invoice->status)); ?>

                            </span>
                            <?php elseif($invoice->status === 'unpaid'): ?>
                            <span class="badge bg-warning">
                                <?php echo e(ucfirst($invoice->status)); ?>

                            </span>
                            <?php else: ?>
                            <span class="badge bg-danger">
                                <?php echo e(ucfirst($invoice->status)); ?>

                            </span>
                            <?php endif; ?>
                        </td>
                        <td>
                            
                            <div class="d-flex align-items-center">
                                <a href="<?php echo e(route('user.invoice.show',$invoice->id)); ?>" class="btn btn-primary btn-sm btn-icon-text mr-3">
                                    Show
                                    <i class="typcn typcn-eye btn-icon-append"></i>
                                </a>
                                
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('front.user.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/front/user/invoices/index.blade.php ENDPATH**/ ?>