<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Document extends Model
{
    protected $fillable = [
        'user_id',
        'type',
        'path',
        'status'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
