document.addEventListener("DOMContentLoaded", function () {
    const navbar = document.querySelector('.custom-navbar');
    const toggler = document.querySelector('.navbar-toggler');

    // Add "scrolled" class on scroll
    window.addEventListener('scroll', function () {
        if (window.scrollY > 50) {
            navbar.classList.add('scrolled');
        } else {
            navbar.classList.remove('scrolled');
        }
    });

    // Add active class to toggler when clicked
    toggler.addEventListener('click', function () {
        this.classList.toggle('active');
    });
});
