@extends('admin.layouts.app')
@section('content')
    
<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">
        <div class="row">
            <div class="col-12 col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">

                        <form action="{{ route('about.update',1) }}" method="post" class="forms-sample" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-12 col-md-7">
                                    <h4 class="card-title">About Banner Section</h4>
                                    <div class="slider1">
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">About Banner Title</label>
                                            <input type="text" name="banner_title"  value="{{ isset($aboutPage->banner_title) ? $aboutPage->banner_title : ''  }}" class="form-control" id="exampleInputUsername1"
                                                placeholder="">
                                        </div>
                                        <div class="form-group">
                                            <label>About Banner Image</label>
                                            <div class="row align-items-center newscence1">
                                                <div class="col-12 col-lg-12">
                                                    <div class="text-start">
                                                        <img src="{{ URL::asset('assets/admin/uploads/aboutPage/'.$aboutPage->banner_image) }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-12 mt-4 newscence2">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="img"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" name="img" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-12 col-md-7">
                                    <h4 class="card-title mt-5">First Section</h4>
                                    <div class="slider3">
                                        <div class="form-group">

                                            <div class="row">
                                                <div class="col-12 col-lg-3 newscence1">
                                                    <label>Image</label>
                                                    <div class="text-start">
                                                        <img src="{{ URL::asset('assets/admin/uploads/aboutPage/'.$aboutPage->image_one) }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                    <div class="newscence2">
                                                        <div class="input-group col-xs-12">
                                                            <input type="file" name="img_1"
                                                                class="file-upload-default fileInput">
                                                            <input type="text" class="form-control file-upload-info"
                                                                disabled="" placeholder="Upload Image">
                                                            <span class="input-group-append">
                                                                <button class="file-upload-browse btn btn-primary"
                                                                    type="button">Upload</button>
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="form-group col-12 col-lg-9">
                                                    <label for="exampleInputUsername1">description</label>
                                                    <textarea id="summernote" name="content_one">{{ isset($aboutPage->content_one) ? $aboutPage->content_one : ''  }}</textarea>
                                                </div>
                                            </div>
                                        </div>

                                    </div>
                                </div>

                                <div class="col-12 col-md-7">
                                    <h4 class="card-title mt-5">Second Section</h4>
                                    <div class="slider3">

                                        <div class="row">
                                            <div class="col-12 col-lg-6">
                                                <div class="form-group">
                                                    <label for="exampleInputUsername1">Title 1</label>
                                                    <input type="text" name="title_one" value="{{ isset($aboutPage->title_one) ? $aboutPage->title_one : ''  }}" class="form-control" id="exampleInputUsername1"
                                                        placeholder="">
                                                </div>
                                            </div>
                                            <div class="col-12 col-lg-6">
                                                <div class="form-group">
                                                    <label for="exampleInputUsername1">Title 2</label>
                                                    <input type="text" name="title_two" value="{{ isset($aboutPage->title_two) ? $aboutPage->title_two : ''  }}" class="form-control" id="exampleInputUsername1"
                                                        placeholder="">
                                                </div>
                                            </div>
                                        </div>


                                        <div class="form-group">
                                            <label>Image</label>
                                            <div class="row align-items-center">
                                                <div class="col-12 col-lg-3">
                                                    <div class="text-start">
                                                        <img src="{{ URL::asset('assets/admin/uploads/aboutPage/'.$aboutPage->image_two) }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-9">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="img_2"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-12 col-md-7">
                                    <h4 class="card-title mt-5">Third Section</h4>
                                    <div class="slider3">
                                        <div class="form-group">

                                            <div class="row">
                                                <div class="col-12 col-lg-3 newscence1">
                                                    <label>Image</label>
                                                    <div class="text-start">
                                                        <img src="{{ URL::asset('assets/admin/uploads/aboutPage/'.$aboutPage->image_three) }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                    <div class="newscence2">
                                                        <div class="input-group col-xs-12">
                                                            <input type="file" name="img_3"
                                                                class="file-upload-default fileInput">
                                                            <input type="text" class="form-control file-upload-info"
                                                                disabled="" placeholder="Upload Image">
                                                            <span class="input-group-append">
                                                                <button class="file-upload-browse btn btn-primary"
                                                                    type="button">Upload</button>
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>

                                                <div class="form-group col-12 col-lg-9">
                                                    <label for="exampleInputUsername1">description</label>
                                                    <textarea id="summernote" name="content_three">{{ isset($aboutPage->content_three) ? $aboutPage->content_three : ''  }}</textarea>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-7">
                                    <button type="submit" class="btn w-100 btn-primary mt-3">Update All</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
</div>
    
@endsection
   