@extends('admin.layouts.app')

@section('content')

<!-- partial -->
<div class="main-panel">
    <div class="content-wrapper">
        <div class="row">
            <div class="col-xl-6 grid-margin stretch-card flex-column">
                <h5 class="mb-2 text-titlecase mb-4">Status statistics</h5>
            </div>
        </div>
        
        <div class="row">
            <div class="col-md-4 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div
                            class="d-flex align-items-center justify-content-between justify-content-md-center justify-content-xl-between flex-wrap mb-4">
                            <div>
                                <p class="mb-2 text-md-center text-lg-left">Total Users</p>
                                <h1 class="mb-0">{{ $totalUsers }}</h1>
                            </div>
                            <i class="typcn typcn-briefcase icon-xl text-secondary"></i>
                        </div>
                        <canvas id="expense-chart" height="80"></canvas>
                    </div>
                </div>
            </div>
            <div class="col-md-4 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div
                            class="d-flex align-items-center justify-content-between justify-content-md-center justify-content-xl-between flex-wrap mb-4">
                            <div>
                                <p class="mb-2 text-md-center text-lg-left">Total Orders</p>
                                <h1 class="mb-0">0</h1>
                            </div>
                            <i class="typcn typcn-chart-pie icon-xl text-secondary"></i>
                        </div>
                        <canvas id="budget-chart" height="80"></canvas>
                    </div>
                </div>
            </div>
            <div class="col-md-4 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div
                            class="d-flex align-items-center justify-content-between justify-content-md-center justify-content-xl-between flex-wrap mb-4">
                            <div>
                                <p class="mb-2 text-md-center text-lg-left">Pending Orders</p>
                                <h1 class="mb-0">0</h1>
                            </div>
                            <i class="typcn typcn-clipboard icon-xl text-secondary"></i>
                        </div>
                        <canvas id="balance-chart" height="80"></canvas>
                    </div>
                </div>
            </div>
        </div>

        <!-- <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="table-responsive pt-3">
                        <table class="table table-striped project-orders-table">
                            <thead>
                                <tr>
                                    <th class="ml-5">ID</th>
                                    <th>Product Name</th>
                                    <th>Categories</th>
                                    <th>Company</th>
                                    <th>Type </th>
                                    <th>Price</th>
                                    <th>Actions</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>#D1</td>
                                    <td>212 Sexy</td>
                                    <td>Men</td>
                                    <td>Carolina Herrera</td>
                                    <td>spray</td>
                                    <td>$37</td>
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <button type="button" onclick="location.href = 'edit-add-service.php';"
                                                class="btn btn-success btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </button>
                                            <button type="button" class="btn btn-danger btn-sm btn-icon-text">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>#D2</td>
                                    <td>CK One</td>
                                    <td>Unisex</td>
                                    <td>Calvin Klein</td>
                                    <td>Spray & Splash</td>
                                    <td>$36</td>
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <button type="button" onclick="location.href = 'edit-add-service.php';"
                                                class="btn btn-success btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </button>
                                            <button type="button" class="btn btn-danger btn-sm btn-icon-text">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>#D3</td>
                                    <td>Versace Bright Crystal </td>
                                    <td>Women</td>
                                    <td>Gianni Versace</td>
                                    <td>spray</td>
                                    <td>$69</td>
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <button type="button" onclick="location.href = 'edit-add-service.php';"
                                                class="btn btn-success btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </button>
                                            <button type="button" class="btn btn-danger btn-sm btn-icon-text">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>#D4</td>
                                    <td>Obsession</td>
                                    <td>Men</td>
                                    <td>Calvin Klein</td>
                                    <td>spray</td>
                                    <td>$21</td>
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <button type="button" onclick="location.href = 'edit-add-service.php';"
                                                class="btn btn-success btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </button>
                                            <button type="button" class="btn btn-danger btn-sm btn-icon-text">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td>#D5</td>
                                    <td>Versace Bright Crystal </td>
                                    <td>Women</td>
                                    <td>Gianni Versace</td>
                                    <td>spray</td>
                                    <td>$69</td>
                                    <td>
                                        <div class="d-flex align-items-center">
                                            <button type="button" onclick="location.href = 'edit-add-service.php';"
                                                class="btn btn-success btn-sm btn-icon-text mr-3">
                                                Edit
                                                <i class="typcn typcn-edit btn-icon-append"></i>
                                            </button>
                                            <button type="button" class="btn btn-danger btn-sm btn-icon-text">
                                                Delete
                                                <i class="typcn typcn-delete-outline btn-icon-append"></i>
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div> -->

    </div>
    

@endsection