@extends('admin.layouts.app')
@section('content')

<style>
.uploaded {
    width: 100%;
    height: 165px;
    background: #f5f5f5;
    object-fit: contain;
    border-radius: 10px;
    border: 1px solid #b9b9b9;
}
</style>

<!-- main-panel -->
<div class="main-panel">
    <div class="content-wrapper">

        <div class="row">
            <div class="col-12 col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">

                        <form action="{{ route('home.update',1) }}" method="post" class="forms-sample" enctype="multipart/form-data">
                        @csrf
                            <div class="row">
                                <div class="col-12 col-md-7">
                                    <h4 class="card-title">Home Banner Section</h4>
                                    <div class="slider1">
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Trending Product</label>
                                            <input type="text" name="trending_product"  value="{{$homePage->trending_product}}" class="form-control" id="exampleInputUsername1"
                                                placeholder="">
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Best Seller</label>
                                            <input type="text" name="best_seller"  value="{{$homePage->best_seller}}" class="form-control" id="exampleInputUsername1"
                                                placeholder="">
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Top Brand</label>
                                            <input type="text" name="top_brand"  value="{{$homePage->top_brand}}"  class="form-control" id="exampleInputUsername1"
                                                placeholder="">
                                        </div>

                                        <div class="form-group">
                                            <label for="exampleInputUsername1">New Arrival</label>
                                            <input type="text" name="new_arrival" value="{{ $homePage->new_arrival }}"  class="form-control" id="exampleInputUsername1"
                                                placeholder="">
                                        </div>

                                        <div class="form-group">
                                            <label for="exampleInputUsername1">FREE SHIPPING</label>
                                            <input type="text" name="free_shipping" value="{{ $homePage->free_shipping }}" class="form-control" id="exampleInputUsername1"
                                                placeholder="">
                                        </div>

                                        <div class="form-group">
                                            <label>Image</label>
                                            <div class="row align-items-center newscence1">
                                                <div class="col-12 col-lg-3">
                                                    <div class="text-start">
                                                        <img src="{{ URL::asset('assets/admin/uploads/homePage/'.$homePage->icone_1) }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-12 mt-4 newscence2">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="img_1"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label for="exampleInputUsername1"> 24/7 SUPPORT</label>
                                            <input type="text" name="support" value="{{ $homePage->support }}" class="form-control" id="exampleInputUsername1"
                                                placeholder="">
                                        </div>

                                        <div class="form-group">
                                            <label>Image</label>
                                            <div class="row align-items-center newscence1">
                                                <div class="col-12 col-lg-3">
                                                    <div class="text-start">
                                                        <img src="{{ URL::asset('assets/admin/uploads/homePage/'.$homePage->icone_2) }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-12 mt-3 newscence2">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="img_2"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label for="exampleInputUsername1">100 RETURN </label>
                                            <input type="text" name="hundered_return" value="{{ $homePage->hundered_return }}" class="form-control" id="exampleInputUsername1"
                                                placeholder="">
                                        </div>

                                        <div class="form-group">
                                            <label>Image</label>
                                            <div class="row align-items-center newscence1">
                                                <div class="col-12 col-lg-3">
                                                    <div class="text-start">
                                                        <img src="{{ URL::asset('assets/admin/uploads/homePage/'.$homePage->icone_3) }}"
                                                            class="img-fluid imgTag uploaded" alt="Fav Icon">
                                                    </div>
                                                </div>
                                                <div class="col-12 col-lg-12 mt-4 newscence2">
                                                    <div class="input-group col-xs-12">
                                                        <input type="file" name="img_3"
                                                            class="file-upload-default fileInput">
                                                        <input type="text" class="form-control file-upload-info"
                                                            disabled="" placeholder="Upload Image">
                                                        <span class="input-group-append">
                                                            <button class="file-upload-browse btn btn-primary"
                                                                type="button">Upload</button>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>


                                    </div>

                                    <!-- <div class="card">
                                    <div class="card-body">
                                        <h4 class="card-title">Last Images</h4>

                                        <div class="row">
                                            <div class="col-12 col-lg-6">
                                                <div class="slider1">
                                                    <div class="form-group">
                                                        <label>Image 1</label>
                                                        <div class="row align-items-center">
                                                            <div class="col-12 col-lg-12">
                                                                <div class="text-start">
                                                                    <img src="{{ URL::asset('assets/admin/images/faces/face5.png') }}"
                                                                        class="img-fluid imgTag uploaded"
                                                                        alt="Fav Icon">
                                                                </div>
                                                            </div>
                                                            <div class="posi-pic">
                                                                <div class="input-group col-xs-12">
                                                                    <input type="file" name="img[]"
                                                                        class="file-upload-default fileInput">
                                                                    <input type="text"
                                                                        class="form-control file-upload-info"
                                                                        disabled="" placeholder="Upload Image">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-12 col-lg-6">
                                                <div class="slider1">
                                                    <div class="form-group">
                                                        <label>Image 2</label>
                                                        <div class="row align-items-center">
                                                            <div class="col-12 col-lg-12">
                                                                <div class="text-start">
                                                                    <img src="{{ URL::asset('assets/admin/images/faces/face5.png') }}"
                                                                        class="img-fluid imgTag uploaded"
                                                                        alt="Fav Icon">
                                                                </div>
                                                            </div>
                                                            <div class="posi-pic">
                                                                <div class="input-group col-xs-12">
                                                                    <input type="file" name="img[]"
                                                                        class="file-upload-default fileInput">
                                                                    <input type="text"
                                                                        class="form-control file-upload-info"
                                                                        disabled="" placeholder="Upload Image">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div> -->

                                <div class="">
                                    <button type="submit" class="btn w-100 btn-primary mt-3">Update All</button>
                                </div>

                                </div>                           
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
</div>


@endsection