@extends('front.user.layouts.app')

@section('title', 'Complaints')

@section('content')
<style>
    .form-container {
        background-color: white;
        padding: 2rem;
        border: 1px solid #ddd;
        border-radius: 8px;
    }
</style>

<div class="container">
    <!-- Left Form Section -->
    <div class="complaint-form d-flex justify-content-center">
        <div class="form-container col-md-6 mb-2">
            <div class="container mt-3">
                <div class="bg-light p-3 rounded shadow-sm mb-2">
                    <!-- Delivery Information -->
                    <div class="d-flex align-items-center">
                        <h3 class="ms-lg-2 fw-bold text-black">Submit Your Complaint Here</h3>
                    </div>
                </div>
            </div>
            <form>
                <div class="col-md-12 mb-3">
                    <label class="form-label required-field">Full Name</label>
                    <input type="text" class="form-control" required>
                </div>
                <div class="col-md-12 mb-3">
                    <label class="form-label required-field">Email</label>
                    <input type="text" class="form-control" required>
                </div>
                <div class="col-md-12 mb-3">
                    <label class="form-label required-field">Phone Number</label>
                    <input type="text" class="form-control" required>
                </div>
                <div class="col-md-12 row">
                    <label class="form-label required-field">Description</label>
                    <textarea name="" id="#" rows="10"></textarea>
                </div>
                <!-- Submit Button -->
                <div class="d-flex justify-content-center mt-2">
                    <button class="btn btn-lg btn-primary w-50">Submit</button>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection