@extends('front.layouts.app')

@section('links')
    <link rel="stylesheet" href="{{ asset('build/assets/front/css/login.css') }}">
    
@endsection



@section('content')
<style>
    .auth-form-light.text-left.py-5.px-4.px-sm-5 {
    background: #ffffff6e;
    border-radius: 10px;
}
.brand-logo {
    text-align: center;
}

.brand-logo img {
    width: 70%;
}
    .auth .auth-form-light {
        background: #ffffff4d;
        border-radius: 10px;
        color: black;
    }
    .btn-warning {
        background-color: #646464;
        border-color: #25a6f1;
        color: rgb(0, 0, 0);
    }
    
    .bgFor::before{
        height: 110vh;
        background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url('{{ asset("build/assets/admin/images/login-banner.jpg") }}') no-repeat center center / cover;
    }
    
    .auth .brand-logo img{
        background: none;
        width: 50%;
    }
</style>
<div class="background">
    <div class="row w-100 mx-0">
        <div class="col-lg-4 mx-auto">
            <div class="auth-form-light text-left py-5 px-4 px-sm-5">
                <div class="brand-logo">
                    <img src="{{ asset('build/assets/front/images/logo.png') }}" alt="logo">
                </div>
                <h4 class="text-center ">Hello! let's get started</h4>
                <!-- <h6 class="font-weight-light">Sign in to continue.</h6> -->
                @if(session('error'))
                    <div class="bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded mb-4">
                        {{ session('error') }}
                    </div>
                @endif
                <form class="pt-3" action="{{ route('login') }}" method="post">
                    @csrf
                    <div class="form-group my-3">
                        <label for="exampleInputEmail1">Email</label>
                        <input type="email" class="form-control form-control-lg text-dark" id="exampleInputEmail1" name="email" placeholder="Email" value="{{ old('email') }}" required>
                    </div>
                    <div class="form-group my-3">
                        <label for="exampleInputPassword1">Password</label>
                        <input type="password" class="form-control form-control-lg text-dark" id="exampleInputPassword1" name="password" placeholder="Password" required>
                    </div>
                    <a href="#" class="auth-link text-dark">Forgot password?</a>
                    <div class="mt-3 text-center">
                        <button class="btn btn-block btn-primary btn-lg font-weight-medium auth-form-btn" type="submit">SIGN IN</button>
                    </div>
                    {{-- <div class="my-2 d-flex justify-content-between align-items-center">
                        <div class="form-check">
                            <label class="form-check-label text-dark">
                            <input type="checkbox" class="form-check-input">
                            Keep me signed in
                            </label>
                        </div>
                    </div> --}}
                </form>
            </div>
        </div>
    </div>
    {{-- <div class="login-container">
        <h2>Login</h2>
        <form action="{{ route('login') }}" method="POST">
            @csrf
            <div class="input-group">
                <label for="username">Username</label>
                <input type="text" id="username" name="username" placeholder="Enter your username" required>
            </div>
            <div class="input-group">
                <label for="password">Password</label>
                <input type="password" id="password" name="password" placeholder="Enter your password" required>
            </div>
            <a href=""><button type="submit">Login</button></a>
        </form>
        
    </div> --}}
</div>  
@endsection

@section('script')

@endsection