@extends('front.user.layouts.app')

@section('title', 'Payment Successfull')
@section('links')
    <link rel="stylesheet" href="{{ asset("build/assets/front/css/payment.css") }}">
@endsection

@section('content')



<div class="container text-center">
    <!-- Circle Icon -->
    <div class="d-flex justify-content-center align-items-center mx-auto mb-3" style="width: 80px; height: 80px; background-color: #00008F; border-radius: 50%;">
        <i class="bi bi-check-lg text-white fs-2"></i>
    </div>
    <!-- Payment Message -->
    <h3 class="fw-bold">Your payment was successful</h3>
    <p class="text-muted mb-1">INVOICE NO: {{ $invoice->invoice_number }}</p>
    <p class="mb-3">TOTAL: <span class="fw-bold text-primary">${{ $invoice->amount }}</span></p>
    <!-- Payment History Link -->
    <a href="#" class="text-primary text-decoration-underline">Payment History</a>
</div>

@endsection