

<?php $__env->startSection('content'); ?>

<div class="container-fluid">
    <!-- Hero Section -->
    <section class="hero" id="home">
        <div class="container-fluid text-center text-lg-start">
            <div class="row">
                <div class="col-lg-6 content">
                    <h2 style="text-transform: uppercase; font-weight: 400;">
                        Looking to <br></h2>
                    <h1 class="hero-head"><span>Save More on</span> <br> Your Rental Car?</h1>
                    <div>
                        <p class="my-4" style="line-height: 28px; font-size: 18px;">Lorem ipsum dolor sit amet,
                            consectetur adipiscing elit, sed do eiusmod tempor <br>incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis <br> nostrud
                            exercitation ullamco laboris nisi ut aliquip ex ea  commodo consequat.
                        </p>
                    </div>

                    <a href="#services" class="btn btn-primary cust-button">Our Services</a>
                </div>
                <div class="col-lg-6 car-image">
                    <img src="<?php echo e(asset('build/assets/front/images/banner-car.png')); ?>" alt="Car">
                </div>
            </div>
        </div>
    </section>

    <!-- About Us Section -->
    <section id="about" class="py-5">
        <div class="container">
            <div class="row justify-content-center align-items-center">
                <!-- Left Content: Stats -->
                <div class="col-md-6 text-center text-md-start">
                    <div class="row text-left mb-4">
                        <h2 class="text-color" style="font-size: 70px;">ABOUT US</h2>
                        <h3 style="font-size: 40px;">WE’RE COMMITTED TO MEET THE QUALITY</h3>
                        <p class="mt-3">
                            Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod
                            tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
                            quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
                            Duis aute irure dolor in reprehenderit in voluptate.
                        </p>
                    </div>
                    <div class="row">
                        <div class="col-6 mb-3">
                            <div class="p-3 text-dark" style="background-color: #00adea;">
                                <h2 class="text-black" style="font-family: Eras ITC, Bold;">80+</h2>
                                <p style="font-family: Eras ITC, Medium;">Happy Clients</p>
                            </div>
                        </div>
                        <div class="col-6 mb-3">
                            <div class="p-3 bg-light text-dark ">
                                <h2 class="text-black" style="font-family: Eras ITC, Bold;">22+</h2>
                                <p style="font-family: Eras ITC, Medium;">Instruments</p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-6">
                                <div class="p-3 bg-light text-dark ">
                                    <h2 class="text-black" style="font-family: Eras ITC, Bold;">50+</h2>
                                    <p style="font-family: Eras ITC, Medium;">Years In Market</p>
                                </div>
                            </div>
                            <div class="col-6">
                                <div class="p-3 bg-light text-dark ">
                                    <h2 class="text-black" style="font-family: Eras ITC, Bold;">99%</h2>
                                    <p style="font-family: Eras ITC, Medium;">Projects Completed</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- Right Content: Image Grid -->
                <div class="col-md-6">
                    <img src="<?php echo e(asset('build/assets/front/images/car-grid.png')); ?>" alt="" style="width: 100%;">
                </div>
            </div>
        </div>
    </section>
    <!-- Why Choose Us Section -->
    <section id="why-choose-us" class="py-5"
        style="background:url('<?php echo e(asset("build/assets/front/images/linear-bg.svg")); ?>') no-repeat center center/cover ;">
        <div class="container">
            <div class="text-center mb-5">
                <h2 class="text-white" style="font-size: 50px;">WHY CHOOSE US</h2>
                <h3 class="text-black" style="font-size: 60px;">WE HAVE ALMOST 28 YEARS <br> OF EXPERIENCE</h3>
            </div>
            <div class="row">
                <!-- Card 1 -->
                <div class="col-md-4">
                    <div class="card shadow-sm">
                        <img src="<?php echo e(asset('build/assets/front/images/pic-1 (1).png')); ?>" class="card-img-top" alt="Professional Standard">
                        <div class="card-body text-center">
                            <h5 class="card-title fw-bold">PROFESSIONAL STANDARD</h5>
                            <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                                eiusmod
                                tempor incididunt ut labore et dolore magna aliqua.</p>
                            <a href="#" class="text-primary fw-bold">READ MORE</a>
                        </div>
                    </div>
                </div>
                <!-- Card 2 -->
                <div class="col-md-4">
                    <div class="card shadow-sm">
                        <img src="<?php echo e(asset('build/assets/front/images/pic-2.png')); ?>" class="card-img-top" alt="Best Materials">
                        <div class="card-body text-center">
                            <h5 class="card-title fw-bold">BEST MATERIALS</h5>
                            <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                                eiusmod
                                tempor incididunt ut labore et dolore magna aliqua.</p>
                            <a href="#" class="text-primary fw-bold">READ MORE</a>
                        </div>
                    </div>
                </div>
                <!-- Card 3 -->
                <div class="col-md-4">
                    <div class="card shadow-sm">
                        <img src="<?php echo e(asset('build/assets/front/images/pic-3.png')); ?>" class="card-img-top" alt="Long Term Warranty">
                        <div class="card-body text-center">
                            <h5 class="card-title fw-bold">LONG TERM WARRANTY</h5>
                            <p class="card-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                                eiusmod
                                tempor incididunt ut labore et dolore magna aliqua.</p>
                            <a href="#" class="text-primary fw-bold">READ MORE</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Services Section -->
    <section id="services" class="py-5 bg-light"
        style="background:url('<?php echo e(asset("build/assets/front/images/serv-bg.png")); ?>') no-repeat center center/cover">
        <div class="container text-center">
            <h2 class="text-color">OUR SERVICES</h2>
            <h3>WE PROVIDE GREAT SERVICES FOR YOUR VEHICLE</h3>
            <div class="row mt-5">
                <!-- Service 1 -->
                <div class="col-md-3 mb-4">
                    <div class="d-flex flex-column align-items-center">
                        <div class="rounded-circle bg-white shadow p-4 mb-3">
                            <img src="<?php echo e(asset('build/assets/front/images/engine-icon.svg')); ?>" alt="Engine Repair" class="img-fluid"
                                style="width: 50px;">
                        </div>
                        <h5 class="fw-bold">ENGINE REPAIR</h5>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed</p>
                        <a href="#" class="text-color fw-bold">READ MORE</a>
                    </div>
                </div>
                <!-- Service 2 -->
                <div class="col-md-3 mb-4">
                    <div class="d-flex flex-column align-items-center">
                        <div class="rounded-circle bg-white shadow p-4 mb-3">
                            <img src="<?php echo e(asset('build/assets/front/images/brake-icon.svg')); ?>" alt="Brake Repair" class="img-fluid"
                                style="width: 50px;">
                        </div>
                        <h5 class="fw-bold">BRAKE REPAIR</h5>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed</p>
                        <a href="#" class="text-color fw-bold">READ MORE</a>
                    </div>
                </div>
                <!-- Service 3 -->
                <div class="col-md-3 mb-4">
                    <div class="d-flex flex-column align-items-center">
                        <div class="rounded-circle bg-white shadow p-4 mb-3">
                            <img src="<?php echo e(asset('build/assets/front/images/wheel-icon.svg')); ?>" alt="Tire Repair" class="img-fluid"
                                style="width: 50px;">
                        </div>
                        <h5 class="fw-bold">TIRE REPAIR</h5>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed</p>
                        <a href="#" class="text-color fw-bold">READ MORE</a>
                    </div>
                </div>
                <!-- Service 4 -->
                <div class="col-md-3 mb-4">
                    <div class="d-flex flex-column align-items-center">
                        <div class="rounded-circle bg-white shadow p-4 mb-3">
                            <img src="<?php echo e(asset('build/assets/front/images/steering-icon.svg')); ?>" alt="Steering Repair" class="img-fluid"
                                style="width: 50px;">
                        </div>
                        <h5 class="fw-bold">STEERING REPAIR</h5>
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed</p>
                        <a href="#" class="text-color fw-bold">READ MORE</a>
                    </div>
                </div>
            </div>
            <!-- Car Image -->
            <div class="mt-5">
                <img src="<?php echo e(asset('build/assets/front/images/mercedes.png')); ?>" alt="Car" class="img-fluid">
            </div>
            <a href="#" class="btn cust-button btn-primary">Our Services</a>
        </div>
    </section>
    <!-- Offer Banner Section -->
    <section id="offer-banner"
        class="d-flex align-items-center justify-content-center text-center position-relative"
        style="height: 50vh; background: url('<?php echo e(asset("build/assets/front/images/offer-bg.png")); ?>') no-repeat center center/cover;">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-8">
                    <h2 class="text-white fw-bold" style="font-size: 70px;">OUR OFFER</h2>
                    <h3 class="text-white fw-bold" style="font-size: 42px; font-weight: 500 !important">SAVE MONEY
                        WITH
                        SPECIAL DISCOUNT</h3>
                    <h1 class="text-light fw-bold" style="font-size: 70px;">UPTO 50% OFF</h1>
                    <a href="#" class="btn btn-primary cust-button mt-4 px-4 py-2">GET A QUOTE</a>
                </div>
            </div>
        </div>
    </section>

    <!-- FAQ Section -->
    <!-- <section id="faq" class="faq bg-light">
    <div class="container">
        <h2 class="text-center">Frequently Asked Questions</h2>
        <div class="accordion mt-4" id="faqAccordion">
            <div class="accordion-item">
                <h2 class="accordion-header" id="faqHeading1">
                    <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#faq1"
                        aria-expanded="true" aria-controls="faq1">
                        What documents do I need to rent a car?
                    </button>
                </h2>
                <div id="faq1" class="accordion-collapse collapse show" aria-labelledby="faqHeading1"
                    data-bs-parent="#faqAccordion">
                    <div class="accordion-body">You need a valid driver's license and a credit card.</div>
                </div>
            </div>
            <div class="accordion-item">
                <h2 class="accordion-header" id="faqHeading2">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                        data-bs-target="#faq2" aria-expanded="false" aria-controls="faq2">
                        Can I return the car to a different location?
                    </button>
                </h2>
                <div id="faq2" class="accordion-collapse collapse" aria-labelledby="faqHeading2"
                data-bs-parent="#faqAccordion">
                <div class="accordion-body">Yes, additional charges may apply.</div>
            </div>
        </div>
    </div>
</div>
</section> -->
    <!-- Contact Us Section -->
    <section id="contact-us" class="py-5" style="background-color: #F5F5F5;">
        <div class="container">
            <div class="row">
                <!-- Left Column: Contact Information -->
                <div class="col-md-6 mb-4">
                    <h2 style=" font-size: 70px; font-weight: 400 ;">GET IN TOUCH</h2>
                    <p style="font-family: Montserrat, light ;">Lorem ipsum dolor sit amet, consectetur adipiscing
                        elit, sed do eiusmod tempor incididunt ut
                        labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation.</p>
                    <div class="mt-4">
                        <p><i class="fas fa-map-marker-alt text-color me-2"></i> Address: Lynington Hall, 43/80
                            Brick,
                            Selangor, Malaysia</p>
                        <p><i class="fas fa-phone-alt text-color me-2"></i> <span sty>Phone Number:</span>
                            000-0000-0000</p>
                        <p><i class="fas fa-envelope text-color me-2"></i> Email: transportationexpress@gmail.com
                        </p>
                    </div>
                    <hr>
                    <h5 class="fw-bold mt-4">FOLLOW US</h5>
                    <div>
                        <a href="#" class="text-color me-3"><i class="fab fa-facebook-f"></i></a>
                        <a href="#" class="text-color me-3"><i class="fab fa-twitter"></i></a>
                        <a href="#" class="text-color"><i class="fab fa-instagram"></i></a>
                    </div>
                </div>

                <!-- Right Column: Contact Form -->
                <div class="col-md-6 mb-4">
                    <div class="col-md-10">
                        <div class="card p-4 shadow rounded-3">
                            <h4 class="fw-bold mb-3">Send A Message</h4>
                            <form>
                                <div class="mb-3">
                                    <input type="text" class="form-control" placeholder="Name" required>
                                </div>
                                <div class="mb-3">
                                    <input type="email" class="form-control" placeholder="Email Address" required>
                                </div>
                                <div class="mb-3">
                                    <textarea class="form-control" rows="4" placeholder="Message"
                                        required></textarea>
                                </div>
                                <div class="mb-3">
                                    Lorem ipsum dolor sit amet consectetur adipisicing elit.
                                </div>
                                <button type="submit" class="btn btn-primary w-25 rounded-5">Submit</button>
                            </form>
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <!-- Bottom Image -->
        <div class="container mt-5">
            <img src="<?php echo e(asset('build/assets/front/images/map.png')); ?>" alt="Map" class="img-fluid" style="width: auto;">
        </div>
    </section>

</div>  
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('front.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/front/index.blade.php ENDPATH**/ ?>