
<?php $__env->startSection('title', 'Contact Us'); ?>
<?php $__env->startSection('content'); ?>

<style>
    @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap');

    section {
        position: relative;
        z-index: 3;
        padding-top: 8%;
        padding-bottom: 50px;
        /* margin-top: 8%; */
        background-color: rgba(0, 0, 0, 0.8);
    }
/* 
    .container {
        max-width: 1080px;
        margin-left: auto;
        margin-right: auto;
        padding-left: 20px;
        padding-right: 20px;
    } */

    .section-header {
        margin-bottom: 50px;
        text-align: center;
    }

    .section-header h2 {
        color: #FFF;
        font-weight: bold;
        font-size: 3em;
        margin-bottom: 20px;
    }

    .section-header p {
        color: #FFF;
    }

    .row {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
    }

    .contact-info {
        width: 50%;
    }

    .contact-info-item {
        display: flex;
        margin-bottom: 30px;
    }

    /* .contact-info-icon {
        height: 70px;
        width: 70px;
        background-color: #fff;
        text-align: center;
        border-radius: 50%;
    } */

    .contact-info-icon i {
        font-size: 30px;
        line-height: 70px;
        color: #1da9c0;
    }

    .contact-info-content {
        margin-left: 20px;
    }

    .contact-info-content h4 {
        color: #1da9c0;
        font-size: 1.4em;
        margin-bottom: 5px;
    }

    .contact-info-content p {
        color: #FFF;
        font-size: 1em;
    }

    .contact-form {
        background-color: #fff;
        padding: 40px;
        width: 45%;
        padding-bottom: 20px;
        padding-top: 20px;
    }

    .contact-form h2 {
        font-weight: bold;
        font-size: 2em;
        margin-bottom: 10px;
        color: #333;
    }

    .contact-form .input-box {
        position: relative;
        width: 100%;
        margin-top: 10px;
    }

    .contact-form .input-box input,
    .contact-form .input-box textarea {
        width: 100%;
        padding: 5px 0;
        font-size: 16px;
        margin: 10px 0;
        border: none;
        border-bottom: 2px solid #333;
        outline: none;
        resize: none;
    }

    .contact-form .input-box span {
        position: absolute;
        left: 0;
        padding: 5px 0;
        font-size: 16px;
        margin: 10px 0;
        pointer-events: none;
        transition: 0.5s;
        color: #666;
    }

    .contact-form .input-box input:focus~span,
    .contact-form .input-box textarea:focus~span {
        color: #e91e63;
        font-size: 12px;
        transform: translateY(-20px);
    }

    .contact-form .input-box input[type="submit"] {
        width: 100%;
        background: #00bcd4;
        color: #FFF;
        border: none;
        cursor: pointer;
        padding: 10px;
        font-size: 18px;
        border: 1px solid #00bcd4;
        transition: 0.5s;
    }

    .contact-form .input-box input[type="submit"]:hover {
        background: #FFF;
        color: #00bcd4;
    }

    @media (max-width: 991px) {
        section {
            padding-top: 50px;
            padding-bottom: 50px;
        }

        .row {
            flex-direction: column;
        }

        .contact-info {
            margin-bottom: 40px;
            width: 100%;
        }

        .contact-form {
            width: 100%;
        }
    }
</style>

<section class="contact-section">
    
<div class="section-header">
    <div class="container">
        <h2>Contact Us</h2>
        <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the
            industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type
            and scrambled it to make a type specimen book.</p>
    </div>
</div>

<div class="container">
    <div class="row">

        <div class="contact-info">
            <div class="contact-info-item">
                <div class="contact-info-icon">
                    <i class="bi bi-geo-alt-fill"></i>
                </div>

                <div class="contact-info-content">
                    <h4>Address</h4>
                    <p>4671 Sugar Camp Road,<br /> Owatonna, Minnesota, <br />55060</p>
                </div>
            </div>

            <div class="contact-info-item">
                <div class="contact-info-icon">
                    <i class="bi bi-telephone-fill"></i>
                </div>

                <div class="contact-info-content">
                    <h4>Phone</h4>
                    <p>571-457-2321</p>
                </div>
            </div>

            <div class="contact-info-item">
                <div class="contact-info-icon">
                    <i class="bi bi-envelope-fill"></i>
                </div>

                <div class="contact-info-content">
                    <h4>Email</h4>
                    <p>ntamerrwael@mfano.ga</p>
                </div>
            </div>
        </div>

        <div class="contact-form">
            <form action="" id="contact-form">
                <h2>Send Message</h2>
                <div class="input-box">
                    <input type="text" required="true" name="">
                    <span>Full Name</span>
                </div>
                
                <div class="input-box">
                    <input type="phone" required="true" name="">
                    <span>Phone</span>
                </div>
                <div class="input-box">
                    <input type="email" required="true" name="">
                    <span>Email</span>
                </div>
        
                <div class="input-box">
                    <textarea required="true" name=""></textarea>
                    <span>Type your Message...</span>
                </div>

                <div class="input-box">
                    <input type="submit" value="Send" name="">
                </div>
            </form>
        </div>

    </div>
</div>
</section>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('front.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/front/contact.blade.php ENDPATH**/ ?>