<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Transportation Express | Admin Dashboard</title>
    <!-- base:css -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('build/assets/admin/vendors/typicons/typicons.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('build/assets/admin/vendors/css/vendor.bundle.base.css')); ?>">
    <!-- endinject -->
    <!-- plugin css for this page -->
   
    <!-- inject:css -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('build/assets/admin/css/vertical-layout-light/style.css')); ?>">

    <link href="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote-bs4.css" rel="stylesheet">
    <!-- endinject -->
    <link rel="shortcut icon" href="<?php echo e(URL::asset('build/assets/admin/images/logo.png')); ?>" />

    <!-- <link href="https://cdnjs.cloudflare.com/ajax/libs/chosen/1.4.2/chosen.min.css" rel="stylesheet"> -->
    
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/css/select2.min.css" rel="stylesheet" />
    


    <?php echo $__env->make('sweetalert::alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    
    <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" integrity="sha512-nMNlpuaDPrqlEls3IX/Q56H36qvBASwb3ipuo3MxeWbsQB1881ox0cRv7UPTgBlriqoynt35KjEwgGUeUXIPnw==" crossorigin="anonymous" referrerpolicy="no-referrer" /> -->

    <style>
        .navbar-breadcrumb {
            background: #c40067;
            margin-top: 4.625rem;
        }
        
        .navbar .navbar-brand-wrapper .navbar-brand-inner-wrapper .navbar-brand{
            margin: auto;
        }
        .sidebar {
            /* background: #000000 !important; */
        }

        .sidebar .nav .nav-item.active > .nav-link {
            background: #f5f5f51a !important;
            border-radius: 10px;
        }

        .sidebar-dark .sidebar .nav .nav-item .nav-link {
            color: #d0cfcf;
            border-radius: 10px;
        }
        .navbar .navbar-brand-wrapper .navbar-brand-inner-wrapper .navbar-brand img {
            height: 80px;
        }
    </style>


</head>



<body class="sidebar-dark">

    <div class="row d-none" id="proBanner">
        <div class="col-12">
            <span class="d-flex align-items-center purchase-popup">
                <i class="typcn typcn-delete-outline" id="bannerClose"></i>
            </span>
        </div>
    </div>

    <div class="container-scroller">


        <!-- partial:partials -->
        <nav class="navbar col-lg-12 col-12 p-0 fixed-top d-flex flex-row">
            <div class="navbar-brand-wrapper d-flex justify-content-center">
                <div class="navbar-brand-inner-wrapper d-flex justify-content-between align-items-center w-100">
                    <a class="navbar-brand brand-logo" href="<?php echo e(route('/')); ?>" target="_blank"><img src="<?php echo e(URL::asset('build/assets/admin/images/logo.png')); ?>" alt="logo" /></a>

                    <button class="navbar-toggler navbar-toggler align-self-center" type="button"
                        data-toggle="minimize">
                        <span class="typcn typcn-th-menu"></span>
                    </button>
                </div>
            </div>
            <div class="navbar-menu-wrapper d-flex align-items-center justify-content-end">

                <ul class="navbar-nav mr-lg-2">
                    <li class="nav-item nav-profile dropdown">
                        <a class="nav-link" href="#" data-toggle="dropdown" id="profileDropdown">
                            <img src="<?php echo e(URL::asset('build/assets/admin/images/faces/face1.jpg')); ?>" alt="profile" />
                            <span class="nav-profile-name"><?php echo e(Auth::user()->name); ?></span>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right navbar-dropdown"
                            aria-labelledby="profileDropdown">
                            
                            <a class="dropdown-item" href="<?php echo e(route('admin.logout')); ?>"
                            onclick="event.preventDefault();
                                          document.getElementById('logout-form').submit();">
                                <i class="typcn typcn-eject text-primary"></i>
                                <?php echo e(__('Logout')); ?>

                            </a>
                            <form id="logout-form" action="<?php echo e(route('admin.logout')); ?>" method="POST" class="d-none">
                                <?php echo csrf_field(); ?>
                            </form>
                        </div>
                    </li>
                    <li class="nav-item nav-user-status dropdown">
                        <p class="mb-0"> </p>
                    </li>
                </ul>

                <ul class="navbar-nav navbar-nav-right">
                    <li class="nav-item nav-date dropdown">
                        <a class="nav-link d-flex justify-content-center align-items-center" href="javascript:;">
                            <h6 class="date mb-0">Today : Mar 23</h6>
                            <i class="typcn typcn-calendar"></i>
                        </a>
                    </li>

                </ul>

                <button class="navbar-toggler navbar-toggler-right d-lg-none align-self-center" type="button"
                    data-toggle="offcanvas">
                    <span class="typcn typcn-th-menu"></span>
                </button>


            </div>
        </nav>
        <!-- partial -->

        <nav class="navbar-breadcrumb col-xl-12 col-12 d-flex flex-row p-0">
            <div class="navbar-links-wrapper d-flex align-items-stretch">
            </div>
            <div class="navbar-menu-wrapper d-flex align-items-center justify-content-end">
                <ul class="navbar-nav mr-lg-2">
                    <li class="nav-item ml-0">
                        <h4 class="mb-0">Dashboard</h4>
                    </li>
                    <li class="nav-item">
                        <div class="d-flex align-items-baseline">
                            <p class="mb-0">Home</p>
                            <i class="typcn typcn-chevron-right"></i>
                            <p class="mb-0">Main Dahboard</p>
                        </div>
                    </li>
                </ul>

            </div>
        </nav>

        <div class="container-fluid page-body-wrapper">

            <!-- partial:partials/_settings-panel.html -->

            <div class="theme-setting-wrapper">
                <div id="settings-trigger"><i class="typcn typcn-cog-outline"></i></div>
                <div id="theme-settings" class="settings-panel">
                    <i class="settings-close typcn typcn-times"></i>
                    <p class="settings-heading">SIDEBAR SKINS</p>
                    <div class="sidebar-bg-options " id="sidebar-light-theme">
                        <div class="img-ss rounded-circle bg-light border mr-3"></div>Light
                    </div>
                    <div class="sidebar-bg-options selected" id="sidebar-dark-theme">
                        <div class="img-ss rounded-circle bg-dark border mr-3"></div>Dark
                    </div>
                    <p class="settings-heading mt-2">HEADER SKINS</p>
                    <div class="color-tiles mx-0 px-4">
                        <div class="tiles success"></div>
                        <div class="tiles warning"></div>
                        <div class="tiles danger"></div>
                        <div class="tiles info"></div>
                        <div class="tiles dark"></div>
                        <div class="tiles default"></div>
                    </div>
                </div>
            </div>

            <div id="right-sidebar" class="settings-panel">
                <i class="settings-close typcn typcn-times"></i>
                <ul class="nav nav-tabs" id="setting-panel" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="todo-tab" data-toggle="tab" href="#todo-section" role="tab"
                            aria-controls="todo-section" aria-expanded="true">TO DO LIST</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="chats-tab" data-toggle="tab" href="#chats-section" role="tab"
                            aria-controls="chats-section">CHATS</a>
                    </li>
                </ul>
                <div class="tab-content" id="setting-content">
                    <div class="tab-pane fade show active scroll-wrapper" id="todo-section" role="tabpanel"
                        aria-labelledby="todo-section">
                        <div class="add-items d-flex px-3 mb-0">
                            <form class="form w-100">
                                <div class="form-group d-flex">
                                    <input type="text" class="form-control todo-list-input" placeholder="Add To-do">
                                    <button type="submit" class="add btn btn-primary todo-list-add-btn"
                                        id="add-task">Add</button>
                                </div>
                            </form>
                        </div>
                        <div class="list-wrapper px-3">
                            <ul class="d-flex flex-column-reverse todo-list">
                                <li>
                                    <div class="form-check">
                                        <label class="form-check-label">
                                            <input class="checkbox" type="checkbox">
                                            Team review meeting at 3.00 PM
                                        </label>
                                    </div>
                                    <i class="remove typcn typcn-delete-outline"></i>
                                </li>
                                <li>
                                    <div class="form-check">
                                        <label class="form-check-label">
                                            <input class="checkbox" type="checkbox">
                                            Prepare for presentation
                                        </label>
                                    </div>
                                    <i class="remove typcn typcn-delete-outline"></i>
                                </li>
                                <li>
                                    <div class="form-check">
                                        <label class="form-check-label">
                                            <input class="checkbox" type="checkbox">
                                            Resolve all the low priority tickets due today
                                        </label>
                                    </div>
                                    <i class="remove typcn typcn-delete-outline"></i>
                                </li>
                                <li class="completed">
                                    <div class="form-check">
                                        <label class="form-check-label">
                                            <input class="checkbox" type="checkbox" checked>
                                            Schedule meeting for next week
                                        </label>
                                    </div>
                                    <i class="remove typcn typcn-delete-outline"></i>
                                </li>
                                <li class="completed">
                                    <div class="form-check">
                                        <label class="form-check-label">
                                            <input class="checkbox" type="checkbox" checked>
                                            Project review
                                        </label>
                                    </div>
                                    <i class="remove typcn typcn-delete-outline"></i>
                                </li>
                            </ul>
                        </div>
                        <div class="events py-4 border-bottom px-3">
                            <div class="wrapper d-flex mb-2">
                                <i class="typcn typcn-media-record-outline text-primary mr-2"></i>
                                <span>Feb 11 2018</span>
                            </div>
                            <p class="mb-0 font-weight-thin text-gray">Creating component page</p>
                            <p class="text-gray mb-0">build a js based app</p>
                        </div>
                        <div class="events pt-4 px-3">
                            <div class="wrapper d-flex mb-2">
                                <i class="typcn typcn-media-record-outline text-primary mr-2"></i>
                                <span>Feb 7 2018</span>
                            </div>
                            <p class="mb-0 font-weight-thin text-gray">Meeting with Alisa</p>
                            <p class="text-gray mb-0 ">Call Sarah Graves</p>
                        </div>
                    </div>
                    <!-- To do section tab ends -->
                    <div class="tab-pane fade" id="chats-section" role="tabpanel" aria-labelledby="chats-section">
                        <div class="d-flex align-items-center justify-content-between border-bottom">
                            <p class="settings-heading border-top-0 mb-3 pl-3 pt-0 border-bottom-0 pb-0">Friends</p>
                            <small
                                class="settings-heading border-top-0 mb-3 pt-0 border-bottom-0 pb-0 pr-3 font-weight-normal">See
                                All</small>
                        </div>
                        <ul class="chat-list">
                            <li class="list active">
                                <div class="profile"><img src="<?php echo e(URL::asset('build/assets/admin/images/faces/face11.jpg')); ?>" alt="image"><span
                                        class="online"></span>
                                </div>
                                <div class="info">
                                    <p>Thomas Douglas</p>
                                    <p>Available</p>
                                </div>
                                <small class="text-muted my-auto">19 min</small>
                            </li>
                            <li class="list">
                                <div class="profile"><img src="<?php echo e(URL::asset('build/assets/admin/images/faces/face2.jpg')); ?>" alt="image"><span
                                        class="offline"></span>
                                </div>
                                <div class="info">
                                    <div class="wrapper d-flex">
                                        <p>Catherine</p>
                                    </div>
                                    <p>Away</p>
                                </div>
                                <div class="badge badge-success badge-pill my-auto mx-2">4</div>
                                <small class="text-muted my-auto">23 min</small>
                            </li>
                            <li class="list">
                                <div class="profile"><img src="<?php echo e(URL::asset('build/assets/admin/images/faces/face3.jpg')); ?>" alt="image"><span
                                        class="online"></span>
                                </div>
                                <div class="info">
                                    <p>Daniel Russell</p>
                                    <p>Available</p>
                                </div>
                                <small class="text-muted my-auto">14 min</small>
                            </li>
                            <li class="list">
                                <div class="profile"><img src="<?php echo e(URL::asset('build/assets/admin/images/faces/face4.jpg')); ?>" alt="image"><span
                                        class="offline"></span>
                                </div>
                                <div class="info">
                                    <p>James Richardson</p>
                                    <p>Away</p>
                                </div>
                                <small class="text-muted my-auto">2 min</small>
                            </li>
                            <li class="list">
                                <div class="profile"><img src="<?php echo e(URL::asset('build/assets/admin/images/faces/face11.jpg')); ?>" alt="image"><span
                                        class="online"></span>
                                </div>
                                <div class="info">
                                    <p>Madeline Kennedy</p>
                                    <p>Available</p>
                                </div>
                                <small class="text-muted my-auto">5 min</small>
                            </li>
                            <li class="list">
                                <div class="profile"><img src="<?php echo e(URL::asset('build/assets/admin/images/faces/face6.jpg')); ?>" alt="image"><span
                                        class="online"></span>
                                </div>
                                <div class="info">
                                    <p>Sarah Graves</p>
                                    <p>Available</p>
                                </div>
                                <small class="text-muted my-auto">47 min</small>
                            </li>
                        </ul>
                    </div>
                    <!-- chat tab ends -->
                </div>
            </div>

            <!-- partial -->

            <!-- partial:partials/_sidebar.html -->

            <nav class="sidebar sidebar-offcanvas " id="sidebar">
                <?php echo $__env->make('admin.partials.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </nav>


            <!-- content-wrapper ends -->

            <!-- partial:../../partials/_footer.html -->


            <?php echo $__env->yieldContent('content'); ?>

        <footer class="footer">
            <div class="card">
                <div class="card-body">
                    <div class="d-sm-flex justify-content-center justify-content-sm-between">
                        <span class="text-muted text-center text-sm-left d-block d-sm-inline-block">Copyright © 2024 <a
                                href="javascript:;" class="text-muted">Transportation Express</a>. All rights reserved.</span>
                    </div>
                </div>
            </div>
        </footer>

        <!-- partial -->
    </div>

    <!-- main-panel ends -->
</div>
<!-- page-body-wrapper ends -->
</div>
<!-- container-scroller -->

<!-- base:js -->
<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.1/umd/popper.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.6.2/js/bootstrap.min.js"></script>


<script src="<?php echo e(URL::asset('build/assets/admin/vendors/js/vendor.bundle.base.js')); ?>"></script>

<!-- endinject -->
<!-- Plugin js for this page-->

<script src="<?php echo e(URL::asset('build/assets/admin/vendors/chart.js/Chart.min.js')); ?>"></script>

<!-- End plugin js for this page-->
<!-- inject:js -->

<script src="<?php echo e(URL::asset('build/assets/admin/js/off-canvas.js')); ?>"></script>
<script src="<?php echo e(URL::asset('build/assets/admin/js/hoverable-collapse.js')); ?>"></script>
<script src="<?php echo e(URL::asset('build/assets/admin/js/template.js')); ?>"></script>
<script src="<?php echo e(URL::asset('build/assets/admin/js/settings.js')); ?>"></script>
<script src="<?php echo e(URL::asset('build/assets/admin/js/todolist.js')); ?>"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.9/summernote-bs4.js"></script>
<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/chosen/1.4.2/chosen.jquery.min.js"></script> -->


<!-- endinject -->
<!-- Custom js for this page-->

<script src="<?php echo e(URL::asset('build/assets/admin/js/dashboard.js')); ?>"></script>
<!-- End custom js for this page-->
<?php echo $__env->yieldContent('script'); ?>
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<script src="<?php echo e(URL::asset('build/assets/admin/vendors/js/vendor.bundle.base.js')); ?>"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-beta.1/dist/js/select2.min.js"></script>
<script>
    $(document).ready(function() {
        $('.sizes').select2();
    });
    
    $(document).ready(function() {
        $('.quantity').select2();
    });
</script>

<script>
    <?php if(Session::has('success')): ?>
        Swal.fire({
            icon: 'success', // 'error', 'warning', 'info', 'question'
            title: 'Success!',
            text: "<?php echo e(Session::get('success')); ?>",
            timer: 3000, // Auto close after 3 seconds
            showConfirmButton: false,
            position: 'top-end', // 'top', 'top-start', 'top-end', 'center', 'center-start', 'center-end', 'bottom', 'bottom-start', or 'bottom-end'
            toast: true, // For smaller notifications
            timerProgressBar: true
        });
    <?php endif; ?>

    <?php if(Session::has('error')): ?>
        Swal.fire({
            icon: 'error', // 'error', 'warning', 'info', 'question'
            title: 'Error!',
            text: "<?php echo e(Session::get('error')); ?>",
            timer: 3000, // Auto close after 3 seconds
            showConfirmButton: false,
            position: 'top-end', // 'top', 'top-start', 'top-end', 'center', 'center-start', 'center-end', 'bottom', 'bottom-start', or 'bottom-end'
            toast: true, // For smaller notifications
            timerProgressBar: true
        });
    <?php endif; ?>

    // <?php if($errors->any()): ?>
    //     Swal.fire({
    //         icon: 'error', // 'error', 'warning', 'info', 'question'
    //         title: 'Validation Error!',
    //         text: "<?php echo e($errors->first()); ?>",
    //         html: '<?php echo implode("<br>", $errors->all()); ?>',
    //         timer: 3000, // Auto close after 3 seconds
    //         showConfirmButton: true,
    //         position: 'top-end', // 'top', 'top-start', 'top-end', 'center', 'center-start', 'center-end', 'bottom', 'bottom-start', or 'bottom-end'
    //         toast: true, // For smaller notifications
    //         timerProgressBar: true
    //     });
    // <?php endif; ?>

    <?php if($errors->any()): ?>
        Swal.fire({
            icon: 'error',
            title: 'Validation Errors',
            html: `<ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>`,
            showConfirmButton: true
        });
    <?php endif; ?>

    
</script>

</body>
</html>
<?php /**PATH C:\xampp\htdocs\Transportation-Express\resources\views/admin/layouts/app.blade.php ENDPATH**/ ?>